diff makeBooklet.sh @ 266:06e140f48543

Revise scripts for building printed Bookes. A lot of stuff was being duplicated between different page size. Consolidate where possible, and in particular put as much into a single source file (dottes.tex) as possible. Making a single Booke is now potentially quicker, as the tune pages don't necessarily have to be regenerate every time.
author Jim Hague <jim.hague@acm.org>
date Wed, 26 Jun 2013 23:37:45 +0100
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/makeBooklet.sh	Wed Jun 26 23:37:45 2013 +0100
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# Assuming the existance of the A5 PDF of the given Booke, produce the
+# A4 booklet-that-prints-as-A5.
+#
+
+if [ $# != 1 ]; then
+    echo "Usage: makeBookelet.sh <book dir name>"
+    exit 1
+fi
+
+dir=`pwd`
+
+builddir=$dir/build
+
+booke=$1-A5.pdf
+# This assumes dottesA5.pdf as input.
+booklet=$dir/dottesA5onA4booklet.tex
+bookletpdf=$builddir/dottesA5onA4booklet.pdf
+
+mkdir -p $builddir
+
+cp $booke $builddir/dottesA5.pdf
+
+cd $builddir
+xelatex $booklet
+mv $bookletpdf $dir/${1}-A5bookletA4.pdf